#! /usr/bin/env node
let commander = require('commander');
let fs = require('fs');

let msgObj = require('../package.json');

commander.version(msgObj.version)
    .option('-p, --port <n>','set http-server port')
    .option('-o, --host <n>','set http-server host')
    .option('-d, --dir <n>','set http-server directory')
.parse(process.argv);
let config = {
    host: commander.host || "localhost",
    port: commander.port || 3000,
    dir: commander.dir || process.cwd()
}
let Server = require('../server');
let server = new Server(config);
server.start();
