let http = require('http');

var client = http.request({
    host: 'localhost',
    port: 3000,
    path: '/bin/g.js',
    method: 'get',
    headers: {
        range: 'bytes=0-1'
    }
}, (res) => {
    let arr = [];
    res.on('data', (chunk) =>{
        arr.push(chunk);
    })
    res.on('end', () => {
        console.log('headers', res.headers);
        let content = Buffer.concat(arr).toString();
        console.log('content', content.length);
    })
})
client.end();